| Home | Libraries | People | FAQ | More

## Global graph

boost::xpressive::graph — Matches a graph character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified graph;

## Description

The regex traits are used to determine which characters are graphable. To match any character that is not graphable, use ~graph.

| Note
graph is equivalent to /[[:graph:]]/ in perl. ~graph is equivalent to /[[:^graph:]]/ in perl.